## Nautilus.Menu Nautilus.Menu — Nautilus.Menu Reference |

## Synopsis

     Nautilus.Menu extends, gobject.GObject {
      Nautilus.Menu();
      append_item(item);
      get_items();
    }

## Ancestry

    +-- gobject.GObject
        +-- Nautilus.Menu

## Description

A Nautilus.Menu object allows an extension to create sub-menus.

## Constructor

    Nautilus.Menu();

Creates a new `Nautilus.Menu` object.

## Public Methods

### Nautilus.Menu.append_item

    append_item(item);

`item` : | a `Nautilus.MenuItem`

Append a `Nautilus.MenuItem` to a `Nautilus.Menu`.

### Nautilus.Menu.get_items

    get_items();

Returns a list of `Nautilus.MenuItem` objects attached to the `Nautilus.Menu`.